import de.hybris.platform.core.model.order.OrderModel
import de.hybris.platform.servicelayer.search.FlexibleSearchQuery
import de.hybris.platform.servicelayer.search.FlexibleSearchService
import de.hybris.platform.servicelayer.search.SearchResult

import com.psp.payment.maintenance.services.PspMaintenanceService

//Set order code here
orderCode = ""
//Set amount to capture (partial or total); use format ##.##
amountToCapture = 0.00

try {
    FlexibleSearchService flexibleSearchService = context.getBean("flexibleSearchService")
    PspMaintenanceService pspMaintenanceService = context.getBean("pspMaintenanceService")
    String queryString = "SELECT {pk} FROM {Order AS or} WHERE {or:code} = " + orderCode

    FlexibleSearchQuery query = new FlexibleSearchQuery(queryString)
    SearchResult<OrderModel> orderSearchResult = flexibleSearchService.search(query)
    List<OrderModel> orders = orderSearchResult.getResult()

    if (orders.size() >= 1) {
        orderModel = orders.get(0)
        pspMaintenanceService.captureFunds(orderModel, BigDecimal.valueOf(amountToCapture))
        println "Order: ${orderModel.getCode()} | Amount captured: ${amountToCapture}"
    } else {
        println "Order $orderCode does not exist"
    }
} catch (Exception e) {
    println "Failed with the error: " + e.getMessage()
}
