/*
 * [y] hybris Platform
 *
 * Copyright (c) 2000-2013 hybris AG
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of hybris
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with hybris.
 * 
 *  
 */
package com.psp.constants;

/**
 * Global class for all Psp constants. You can add global constants for your extension into this class.
 */
public final class PspConstants extends GeneratedPspConstants {
    public static final String EXTENSIONNAME = "psp";

    private PspConstants() {
        //empty to avoid instantiating this constant class
    }

    public static final String EQUALS = "=";
    public static final String EMPTY_STRING = "";
    public static final String HYPHEN = "-";
    public static final String COMMA_AND_SPACE = ", ";
    public static final String ALGORITHM_SHA256 = "SHA-256";
    public static final String HEX_FORMAT = "%02x";
    public static final String TRUE = "true";
    public static final String YES = "Y";
    public static final String NO = "N";
    public static final String SPACE = " ";

    public static final String KEY_TOKENISATION_PSPID = "ACCOUNT.PSPID";
    public static final String KEY_ALIASID = "ALIAS.ALIASID";
    public static final String KEY_ORDERID = "ALIAS.ORDERID";
    public static final String KEY_STORE_PERMANENTLY = "ALIAS.STOREPERMANENTLY";
    public static final String KEY_PAYMENT_METHOD = "CARD.PAYMENTMETHOD";
    public static final String KEY_ACCEPT_URL = "PARAMETERS.ACCEPTURL";
    public static final String KEY_EXCEPTION_URL = "PARAMETERS.EXCEPTIONURL";
    public static final String KEY_SHA_SIGNATURE = "SHASIGNATURE.SHASIGN";
    public static final String KEY_PARAM_PLUS = "PARAMETERS.PARAMPLUS";
    public static final String KEY_TRACKING = "ORIG";
    public static final String KEY_TEMPLATE = "TP";
    public static final String CREDIT_CARD = "CreditCard";
    public static final String PAYPAL = "PayPal";
    public static final String IDEAL = "iDeal";
    public static final String PARAM_PSPID = "psp.conf.id";
    public static final String PARAM_STORE_PERMANENTLY = "psp.conf.store.permanently.enabled";
    public static final String PARAM_ACCEPT_URL = "psp.conf.accept.url";
    public static final String PARAM_EXCEPTION_URL = "psp.conf.exception.url";
    public static final String PARAM_PASSPHRASE = "psp.conf.passphrase";
    public static final String PARAM_TOKENISATION_URL = "psp.conf.hop.post.url";
    public static final String PARAM_MAIN_WINDOW = "mainWindow";
    public static final String ATT_ERROR_MESSAGE = "errorMessage";
    public static final String VALUE_TOKENISATION_STATUS_OK = "0";
    public static final String VALUE_TOKENISATION_STATUS_NOK = "1";
    public static final String VALUE_TOKENISATION_STATUS_ALIASUPDATED = "2";
    public static final String VALUE_TOKENISATION_STATUS_CANCELLED = "3";

    public static final String KEY_RESULT_ALIAS_ID = "ALIAS.ALIASID";
    public static final String KEY_RESULT_NCERROR = "ALIAS.NCERROR";
    public static final String KEY_RESULT_NCERRORCARDNO = "ALIAS.NCERRORCARDNO";
    public static final String KEY_RESULT_NCERRORCN = "ALIAS.NCERRORCN";
    public static final String KEY_RESULT_NCERRORCVC = "ALIAS.NCERRORCVC";
    public static final String KEY_RESULT_NCERRORED = "ALIAS.NCERRORED";
    public static final String KEY_RESULT_ORDERID = "ALIAS.ORDERID";
    public static final String KEY_RESULT_STATUS = "ALIAS.STATUS";
    public static final String KEY_RESULT_STORE_PERMANENTLY = "ALIAS.STOREPERMANENTLY";
    public static final String KEY_RESULT_CARD_BRAND = "CARD.BRAND";
    public static final String KEY_RESULT_CARD_HOLDER = "CARD.CARDHOLDERNAME";
    public static final String KEY_RESULT_CARD_NUMBER = "CARD.CARDNUMBER";
    public static final String KEY_RESULT_CARD_CVC = "CARD.CVC";
    public static final String KEY_RESULT_CARD_EXPIRYDATE = "CARD.EXPIRYDATE";
    public static final String KEY_SHASIGN = "SHASIGN";
    public static final String ERROR_CODE_PAYMENT_UNCERTAIN = "99999998";
    public static final String ERROR_CODE_CANCELLED_BY_USER = "99999999";

    // DirectLink Constants
    public static final String PARAM_API_USER_ID = "psp.conf.api.user.id";
    public static final String PARAM_API_USER_PASSWORD = "psp.conf.api.user.password";
    public static final String PARAM_DIRECTLINK_REQUEST_URL = "psp.conf.directlink.request.url";
    public static final String KEY_PSPID = "PSPID";
    public static final String KEY_API_USERID = "USERID";
    public static final String KEY_API_PASSWORD = "PSWD";
    public static final String KEY_AMOUNT = "AMOUNT";
    public static final String KEY_CURRENCY = "CURRENCY";
    public static final String KEY_DL_ORDERID = "ORDERID";
    public static final String KEY_CARDNO = "CARDNO";
    public static final String KEY_EXPIRY_DATE = "ED";
    public static final String KEY_CVC = "CVC";
    public static final String KEY_OPERATION = "OPERATION";
    public static final String KEY_ALIAS = "ALIAS";
    public static final String KEY_ECI = "ECI";
    public static final String KEY_DL_SHA_SIGNATURE = "SHASIGN";
    public static final String KEY_CN = "CN";
    public static final String KEY_OWNER_ADDRESS = "OWNERADDRESS";
    public static final String KEY_OWNER_POSTCODE = "OWNERZIP";
    public static final String KEY_OWNER_TOWN = "OWNERTOWN";
    public static final String KEY_OWNER_COUNTRY = "OWNERCTY";
    public static final String KEY_OWNER_TELNO = "OWNERTELNO";
    public static final String KEY_EMAIL = "EMAIL";
    public static final String VALUE_ECI_RECURRING = "9";
    public static final String KEY_STATUS = "STATUS";
    public static final String KEY_RESULT_AMOUNT = "AMOUNT";
    public static final String KEY_PAYID = "PAYID";
    public static final String KEY_RESULT_ACCEPTANCE = "ACCEPTANCE";
    public static final String KEY_RESULT_BRAND = "BRAND";
    public static final String KEY_RESULT_PAYMENTMETHOD = "PM";
    public static final String KEY_RESULT_ECI = "ECI";
    public static final String KEY_NCERROR = "NCERROR";
    public static final String KEY_NCERRORPLUS = "NCERRORPLUS";
    public static final String KEY_RESULT_NCSTATUS = "NCSTATUS";
    public static final String KEY_RESULT_FRAUD_CATEGORY = "SCO_CATEGORY";
    public static final String VALUE_SCO_SCORE_GREEN = "G";
    public static final String VALUE_SCO_SCORE_ORANGE = "O";

    // DirectLink 3D Secure Constants
    public static final String PSP_3D_SECURE = "psp3DSecureDTO";
    public static final String KEY_FLAG3D = "FLAG3D";
    public static final String KEY_HTTP_ACCEPT = "HTTP_ACCEPT";
    public static final String KEY_HTTP_USER_AGENT = "HTTP_USER_AGENT";
    public static final String KEY_WIN3DS = "WIN3DS";
    public static final String KEY_ACCEPTURL = "ACCEPTURL";
    public static final String KEY_DECLINEURL = "DECLINEURL";
    public static final String KEY_EXCEPTIONURL = "EXCEPTIONURL";
    public static final String KEY_CANCELURL = "CANCELURL";
    public static final String KEY_BACKURL = "BACKURL";
    public static final String KEY_PARAMPLUS = "PARAMPLUS";
    public static final String KEY_COMPLUS = "COMPLUS";
    public static final String KEY_LANGUAGE = "LANGUAGE";
    public static final String KEY_HTML_ANSWER = "HTML_ANSWER";
    public static final String BROWSER_ACCEPT_HEADER = "browserAcceptHeader";
    public static final String BROWSER_COLOR_DEPTH = "browserColorDepth";
    public static final String BROWSER_JAVA_ENABLED = "browserJavaEnabled";
    public static final String BROWSER_LANGUAGE = "browserLanguage";
    public static final String BROWSER_SCREEN_HEIGHT = "browserScreenHeight";
    public static final String BROWSER_SCREEN_WIDTH = "browserScreenWidth";
    public static final String BROWSER_TIME_ZONE = "browserTimeZone";
    public static final String BROWSER_USER_AGENT = "browserUserAgent";
    public static final String CHALLENGE_WINDOW_SIZE = "challengeWindowSize";
    public static final String REMOTE_ADDR = "REMOTE_ADDR";

    //Paypal browser data
    public static final String PAYPAL_BROWSER_COLOR_DEPTH = "BROWSERCOLORDEPTH";
    public static final String PAYPAL_BROWSER_JAVA_ENABLED = "BROWSERJAVAENABLED";
    public static final String PAYPAL_BROWSER_LANGUAGE = "BROWSERLANGUAGE";
    public static final String PAYPAL_BROWSER_SCREEN_HEIGHT = "BROWSERSCREENHEIGHT";
    public static final String PAYPAL_BROWSER_SCREEN_WIDTH = "BROWSERSCREENWIDTH";
    public static final String PAYPAL_BROWSER_TIME_ZONE = "BROWSERTIMEZONE";

    public static final String PARAM_3D_SECURE_ENABLED = "psp.conf.3dsecure.enabled";

    public static final String VALUE_FLAG3D = "Y";
    public static final String PARAM_WIN3DS = "psp.conf.3dsecure.window.preference";
    public static final String PARAM_3DSECURE_DECLINE_URL = "psp.conf.3dsecure.decline.url";
    public static final String PARAM_3DSECURE_ACCEPT_URL = "psp.conf.3dsecure.accept.url";
    public static final String PARAM_3DSECURE_EXCEPTION_URL = "psp.conf.3dsecure.exception.url";

    //Flex Payments Constants
    public static final String PARAM_FLEX_BACK_URL = "psp.conf.flex.back.url";
    public static final String PARAM_FLEX_DECLINE_URL = "psp.conf.flex.decline.url";
    public static final String PARAM_FLEX_ACCEPT_URL = "psp.conf.flex.accept.url";
    public static final String PARAM_FLEX_EXCEPTION_URL = "psp.conf.flex.exception.url";
    public static final String PARAM_FLEX_CANCEL_URL = "psp.conf.flex.cancel.url";
    public static final String PARAM_FLEX_REQUEST_URL = "psp.conf.flex.request.url";
    public static final String KEY_FLEX_PAYMENT_METHOD = "PM";
    public static final String KEY_FLEX_SHA_SIGNATURE = "SHASIGN";
    public static final String KEY_FLEX_PSPID = "PSPID";
    public static final String KEY_FLEX_ORDERID = "ORDERID";

    public static final String PARAM_UNCERTAIN_STATUS_HANDLING_ENABELD = "psp.conf.card.uncertain.status.handling.enabled";

    public static final String PARAM_FRAUD_SCORE_LIMIT = "psp.conf.fraud.scoreLimit";
    public static final String PARAM_FRAUD_SCORE_TOLERANCE = "psp.conf.fraud.scoreTolerance";

    public static final String PARAM_MAINTENANCE_URL = "psp.conf.maintenance.url";
    public static final String KEY_PAYID_SUB = "PAYIDSUB";

    public static final String PARAM_IMPORT_DEFAULT_DATA = "psp.conf.import.default.data";

    public static final String QUERY_PARAM_CODE = "code";
    public static final String QUERY_PARAM_AMOUNT = "amount";
    public static final String QUERY_PARAM_CMSSITE = "cmsSite";

    public static final String PSP_ERROR_MESSAGES_HOLDER = "pspErrorMsgs";
    public static final String MULTIPLE_BRANDS = "multipleBrands";
}
