package com.psp.payment.common.converters.populators;

import com.psp.model.DirectDebitPaymentInfoModel;
import de.hybris.platform.commercefacades.order.data.CCPaymentInfoData;
import de.hybris.platform.commercefacades.user.data.AddressData;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.core.model.user.AddressModel;
import de.hybris.platform.servicelayer.dto.converter.ConversionException;
import de.hybris.platform.servicelayer.dto.converter.Converter;

import javax.annotation.Resource;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspDirectDebitPaymentInfoPopulator implements Populator<DirectDebitPaymentInfoModel, CCPaymentInfoData> {

    @Resource
    private Converter<AddressModel, AddressData> addressConverter;

    @Override
    public void populate(DirectDebitPaymentInfoModel source, CCPaymentInfoData target) throws ConversionException {
        validateParameterNotNull(source, "Parameter [DirectDebitPaymentInfoModel] source cannot be null");
        validateParameterNotNull(target, "Parameter [CCPaymentInfoData] target cannot be null");

        target.setId(source.getPk().toString());
        target.setCardNumber(source.getAccountNumber());
        target.setCardType(source.getBrand());
        target.setAccountHolderName(source.getAccountName());
        target.setSubscriptionId(source.getSubscriptionId());
        target.setSaved(source.isSaved());

        if (source.getBillingAddress() != null) {
            target.setBillingAddress(addressConverter.convert(source.getBillingAddress()));
        }
    }
}
