package com.psp.payment.common.converters.populators;

import com.psp.data.payment.PspFlexPaymentInfoData;
import com.psp.model.AbstractFlexPaymentInfoModel;
import de.hybris.platform.commercefacades.user.data.AddressData;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.core.model.user.AddressModel;
import de.hybris.platform.servicelayer.dto.converter.Converter;

import javax.annotation.Resource;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspFlexPaymentInfoPopulator implements Populator<AbstractFlexPaymentInfoModel, PspFlexPaymentInfoData> {

    @Resource
    private Converter<AddressModel, AddressData> addressConverter;

    @Override
    public void populate(AbstractFlexPaymentInfoModel source, PspFlexPaymentInfoData target) {
        validateParameterNotNull(source, "Parameter [PayPalPaymentInfoModel] source cannot be null");
        validateParameterNotNull(target, "Parameter [PspPayPalPaymentInfoData] target cannot be null");

        target.setPayid(source.getPayId());
        target.setCode(source.getCode());
        target.setAcceptance(source.getAcceptanceCode());
        target.setCardType(source.getBrand());
        target.setCardNumber(source.getCardNumber());

        if (source.getBillingAddress() != null) {
            target.setBillingAddress(addressConverter.convert(source.getBillingAddress()));
        }
    }
}
