package com.psp.payment.common.facades.payment.impl;

import com.psp.payment.common.dto.PspPaymentModeData;
import com.psp.payment.common.facades.payment.PspPaymentModeFacade;
import com.psp.payment.common.services.PspPaymentModeService;
import de.hybris.platform.core.model.order.payment.PaymentModeModel;
import de.hybris.platform.servicelayer.dto.converter.Converter;
import org.apache.commons.collections.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

public class PspPaymentModeFacadeImpl implements PspPaymentModeFacade {

    @Resource
    private PspPaymentModeService pspPaymentModeService;

    @Resource
    private Converter<List<PaymentModeModel>, PspPaymentModeData> pspPaymentModeConverter;

    @Override
    public PspPaymentModeData getPaymentModes() {
        PspPaymentModeData paymentModeData = new PspPaymentModeData();
        List<PaymentModeModel> paymentModeModelList = pspPaymentModeService.getAvailablePaymentMethods();

        if (CollectionUtils.isNotEmpty(paymentModeModelList)) {
            pspPaymentModeConverter.convert(paymentModeModelList, paymentModeData);
        }

        return paymentModeData;
    }

    @Override
    public PspPaymentModeData getPaymentModeForCode(String code) {
        PspPaymentModeData paymentModeData = new PspPaymentModeData();
        final List<PaymentModeModel> paymentModeModelList = pspPaymentModeService.getAvailablePaymentModeForCode(code);

        if (CollectionUtils.isNotEmpty(paymentModeModelList)) {
            paymentModeData = pspPaymentModeConverter.convert(paymentModeModelList, paymentModeData);
        }

        return paymentModeData;
    }
}
