package com.psp.payment.common.factories;

import com.psp.model.GenericFlexPaymentInfoModel;
import com.psp.payment.common.strategies.PspPaymentInfoCreateStrategy;
import de.hybris.platform.core.model.type.ComposedTypeModel;

import java.util.Map;

public class PspPaymentInfoCreateStrategyFactory {

    private Map<String, PspPaymentInfoCreateStrategy> paymentInfoCreateStrategyMapping;

    public PspPaymentInfoCreateStrategy getPaymentInfoCreateStrategy(ComposedTypeModel composedTypeModel) {
        PspPaymentInfoCreateStrategy pspPaymentInfoCreateStrategy = null;

        if (composedTypeModel != null) {
            pspPaymentInfoCreateStrategy = paymentInfoCreateStrategyMapping.get(composedTypeModel.getCode());
        }

        if (pspPaymentInfoCreateStrategy == null) {
            pspPaymentInfoCreateStrategy = paymentInfoCreateStrategyMapping.get(GenericFlexPaymentInfoModel._TYPECODE);
        }

        return pspPaymentInfoCreateStrategy;
    }

    public void setPaymentInfoCreateStrategyMapping(Map<String, PspPaymentInfoCreateStrategy> paymentInfoCreateStrategyMapping) {
        this.paymentInfoCreateStrategyMapping = paymentInfoCreateStrategyMapping;
    }
}
