package com.psp.payment.common.services.impl;

import com.psp.payment.common.dao.PspCustomerAccountDao;
import com.psp.payment.common.services.PspCustomerAccountService;
import de.hybris.platform.commerceservices.customer.impl.DefaultCustomerAccountService;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;
import de.hybris.platform.core.model.user.CustomerModel;

import javax.annotation.Resource;

import java.util.List;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspCustomerAccountServiceImpl extends DefaultCustomerAccountService implements PspCustomerAccountService {
    @Resource
    private PspCustomerAccountDao customerAccountDao;
    @Override
    public PaymentInfoModel getPaymentInfoForCode(CustomerModel customerModel, String code) {
        validateParameterNotNull(customerModel, "Customer model cannot be null");
        return customerAccountDao.findPaymentInfoByCustomer(customerModel, code);
    }

    @Override
    public List<PaymentInfoModel> getPaymentInfos(CustomerModel customerModel, boolean saved) {
        validateParameterNotNull(customerModel, "Customer model cannot be null");
        return customerAccountDao.findPaymentInfosByCustomer(customerModel, saved);
    }
}
