package com.psp.payment.common.services.impl;

import com.psp.payment.common.services.PspCustomerService;
import de.hybris.platform.commercefacades.user.data.AddressData;
import de.hybris.platform.commerceservices.strategies.CheckoutCustomerStrategy;
import de.hybris.platform.core.model.user.CustomerModel;
import de.hybris.platform.servicelayer.dto.converter.Converter;
import de.hybris.platform.servicelayer.model.ModelService;

import javax.annotation.Resource;

/**
 * Implementation for PSP specific customer related operations.
 */
public class PspCustomerServiceImpl implements PspCustomerService {

    @Resource
    private ModelService modelService;

    @Resource
    private Converter<AddressData, CustomerModel> pspCustomerNameFromAddressConverter;

    @Resource
    private CheckoutCustomerStrategy checkoutCustomerStrategy;

    @Override
    public CustomerModel setCustomerNameFromAddress(AddressData addressData) {
        CustomerModel customerModel = modelService.create(CustomerModel.class);

        if (addressData != null) {
            customerModel = checkoutCustomerStrategy.getCurrentUserForCheckout();
            pspCustomerNameFromAddressConverter.convert(addressData, customerModel);
            modelService.save(customerModel);
        }

        return customerModel;
    }
}
