package com.psp.payment.common.services.impl;

import com.psp.payment.common.services.PspDynamicPaymentTemplateService;
import de.hybris.platform.acceleratorservices.urlresolver.SiteBaseUrlResolutionService;
import de.hybris.platform.basecommerce.model.site.BaseSiteModel;
import de.hybris.platform.cms2.model.site.CMSSiteModel;
import de.hybris.platform.site.BaseSiteService;
import org.apache.commons.lang.BooleanUtils;
import org.apache.commons.lang.StringUtils;

import javax.annotation.Resource;
import java.util.Optional;

import static java.lang.Boolean.TRUE;

public class PspDynamicPaymentTemplateServiceImpl implements PspDynamicPaymentTemplateService {

    @Resource
    protected BaseSiteService baseSiteService;

    @Resource
    protected SiteBaseUrlResolutionService siteBaseUrlResolutionService;

    @Override
    public Optional<String> fetchPaymentTemplateUrl() {
        String dynamicTemplate = null;
        BaseSiteModel currentBaseSite = baseSiteService.getCurrentBaseSite();

        if (currentBaseSite instanceof CMSSiteModel) {
            CMSSiteModel currentSite = (CMSSiteModel) currentBaseSite;

            if (BooleanUtils.isTrue(currentSite.getPaymentTemplateFlag())
                    && StringUtils.isNotBlank(currentSite.getPaymentTemplateUrl())) {
                String relativeTemplateUrl = ((CMSSiteModel) currentBaseSite).getPaymentTemplateUrl();
                dynamicTemplate = siteBaseUrlResolutionService
                        .getWebsiteUrlForSite(currentBaseSite, TRUE, relativeTemplateUrl);
            }
        }

        return Optional.ofNullable(dynamicTemplate);
    }
}
