package com.psp.payment.common.strategies;

import java.util.Map;

/**
 * Contract for PSP signature validation against parameters received, based on a shared secret.
 */
public interface PspSignatureValidationStrategy {

    /**
     * Computes and validates signature for the given parameters. Shared pass
     * phrase is stored as a property with key psp.conf.passphrase
     */
    boolean validateSignature(Map<String, String> parameters, String signatureFieldName);
}
