package com.psp.payment.common.strategies.impl;

import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.order.strategies.impl.DefaultCreateOrderFromCartStrategy;

public class PspCreateOrderFromCartStrategyImpl extends DefaultCreateOrderFromCartStrategy {

    /**
     * The order number to be kept same as the cart number for PSP.
     *
     * @param cartModel the cartModel model
     * @return the order code
     */
    @Override
    protected String generateOrderCode(CartModel cartModel) {
        String orderCode;

        if (cartModel != null) {
            orderCode = cartModel.getCode();
        } else {
            orderCode = super.generateOrderCode(null);
        }

        return orderCode;
    }
}
