package com.psp.payment.directlink.commands.impl;

import com.psp.payment.directlink.dto.PspAuthorizationResult;
import com.psp.payment.directlink.dto.PspSubscriptionAuthorizationRequest;
import com.psp.payment.directlink.request.PspDirectLinkRequest;
import com.psp.payment.directlink.response.PspDirectLinkResponse;
import com.psp.payment.directlink.services.PspDirectLinkService;
import de.hybris.platform.payment.commands.SubscriptionAuthorizationCommand;
import de.hybris.platform.payment.commands.request.SubscriptionAuthorizationRequest;
import de.hybris.platform.payment.commands.result.AuthorizationResult;
import de.hybris.platform.servicelayer.dto.converter.Converter;

import javax.annotation.Resource;

/**
 * OOTB style command class for Authorization
 */
public class PspSubscriptionAuthorizationCommand implements SubscriptionAuthorizationCommand {

    @Resource
    private PspDirectLinkService pspDirectLinkService;

    @Resource
    private Converter<PspSubscriptionAuthorizationRequest, PspDirectLinkRequest> pspDirectLinkRequestConverter;

    @Resource
    private Converter<PspDirectLinkResponse, PspAuthorizationResult> pspAuthorizationResultConverter;

    @Override
    public AuthorizationResult perform(SubscriptionAuthorizationRequest request) {

        if (request instanceof PspSubscriptionAuthorizationRequest) {
            PspSubscriptionAuthorizationRequest pspRequest = (PspSubscriptionAuthorizationRequest) request;
            PspDirectLinkRequest directLinkRequest = pspDirectLinkRequestConverter.convert(pspRequest);
            PspDirectLinkResponse directLinkResponse = pspDirectLinkService.executeDirectLinkRequest(directLinkRequest);

            return pspAuthorizationResultConverter.convert(directLinkResponse);
        }

        return null;
    }
}
