package com.psp.payment.directlink.dto;

import de.hybris.platform.payment.commands.request.SubscriptionAuthorizationRequest;
import de.hybris.platform.payment.dto.BillingInfo;
import de.hybris.platform.payment.dto.CardInfo;

import java.math.BigDecimal;
import java.util.Currency;

/**
 * Extended dto from ootb class to add more psp specific params.
 */
public class PspSubscriptionAuthorizationRequest extends SubscriptionAuthorizationRequest {

    private final String orderId;

    private final CardInfo card;

    public PspSubscriptionAuthorizationRequest(String merchantTransactionCode, String subscriptionID, Currency currency,
                                               BigDecimal totalAmount, BillingInfo shippingInfo, String cv2,
                                               String paymentProvider, String orderId, CardInfo card) {
        super(merchantTransactionCode, subscriptionID, currency, totalAmount, shippingInfo, cv2, paymentProvider);
        this.orderId = orderId;
        this.card = card;
    }

    public String getOrderId() {
        return orderId;
    }

    public CardInfo getCard() {
        return card;
    }

}
