package com.psp.payment.directlink.strategies.impl;

import com.psp.constants.PspConstants;
import com.psp.payment.directlink.strategies.PspAddressBuilderStrategy;
import org.apache.commons.lang.StringUtils;

/**
 * Implementation for building address.
 */
public class PspAddressBuilderStrategyImpl implements PspAddressBuilderStrategy {

    @Override
    public String buildAddress(String addressLine1, String addressLine2) {
        StringBuilder addressBuilder = new StringBuilder();

        if (StringUtils.isNotEmpty(addressLine1)) {
            addressBuilder.append(addressLine1);
        }

        if (StringUtils.isNotEmpty(addressLine2)) {
            if (addressBuilder.length() > 0) {
                addressBuilder.append(PspConstants.COMMA_AND_SPACE);
            }

            addressBuilder.append(addressLine2);
        }

        return addressBuilder.length() > 0 ? addressBuilder.toString() : StringUtils.EMPTY;
    }
}
