package com.psp.payment.directquery.populators;

import com.psp.constants.PspConstants;
import com.psp.payment.common.utils.PspExtensionTrackingUtils;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.servicelayer.config.ConfigurationService;
import org.apache.commons.lang.StringUtils;

import javax.annotation.Resource;
import java.util.Map;

public class PspDirectQueryPopulator implements Populator<String, Map<String, String>> {

    @Resource
    private ConfigurationService configurationService;

    @Resource
    private PspExtensionTrackingUtils pspExtensionTrackingUtils;

    @Override
    public void populate(String source, Map<String, String> target) {
        target.put(PspConstants.KEY_PAYID, source);
        target.put(PspConstants.KEY_PSPID, configurationService.getConfiguration().getString(PspConstants.PARAM_PSPID));
        target.put(PspConstants.KEY_API_PASSWORD, configurationService.getConfiguration().getString(PspConstants.PARAM_API_USER_PASSWORD));
        target.put(PspConstants.KEY_API_USERID, configurationService.getConfiguration().getString(PspConstants.PARAM_API_USER_ID));
        String trackingKey = pspExtensionTrackingUtils.fetchTrackingDetails();

        if (StringUtils.isNotEmpty(trackingKey)) {
            target.put(PspConstants.KEY_TRACKING, trackingKey);
        }
    }
}
