package com.psp.payment.flexpayments.populators;

import com.psp.constants.PspConstants;
import com.psp.payment.flexpayments.dto.PspFlexPaymentRequest;
import com.psp.payment.tokenisation.converters.populators.request.AbstractPspPopulator;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspFlexPaymentCallbackUrlPopulator extends AbstractPspPopulator<PspFlexPaymentRequest, PaymentData> {

    @Override
    public void populate(PspFlexPaymentRequest source, PaymentData target) {
        validateParameterNotNull(source, "Parameter [PspFlexPaymentRequest] source cannot be null");
        validateParameterNotNull(target, "Parameter [PaymentData] target cannot be null");

        initialiseParameters(target);
        Map<String, String> parameters = target.getParameters();
        parameters.put(PspConstants.KEY_ACCEPTURL, source.getAcceptUrl());
        parameters.put(PspConstants.KEY_EXCEPTIONURL, source.getExceptionUrl());
        parameters.put(PspConstants.KEY_DECLINEURL, source.getDeclineUrl());
        parameters.put(PspConstants.KEY_CANCELURL, source.getCancelUrl());
        parameters.put(PspConstants.KEY_BACKURL, source.getBackUrl());
    }
}
