package com.psp.payment.flexpayments.populators;

import com.psp.constants.PspConstants;
import com.psp.payment.flexpayments.dto.PspFlexPaymentRequest;
import com.psp.payment.tokenisation.converters.populators.request.AbstractPspPopulator;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspFlexPaymentCustomerInfoPopulator extends AbstractPspPopulator<PspFlexPaymentRequest, PaymentData> {
    @Override
    public void populate(PspFlexPaymentRequest source, PaymentData target) {
        validateParameterNotNull(source, "Parameter [PspFlexPaymentRequest] source cannot be null");
        validateParameterNotNull(target, "Parameter [PaymentData] target cannot be null");

        initialiseParameters(target);
        Map<String, String> parameters = target.getParameters();
        parameters.put(PspConstants.KEY_CN, source.getCustomerName());
        parameters.put(PspConstants.KEY_OWNER_ADDRESS, source.getOwnerAddress());
        parameters.put(PspConstants.KEY_OWNER_COUNTRY, source.getOwnerCountry());
        parameters.put(PspConstants.KEY_OWNER_POSTCODE, source.getOwnerZip());
        parameters.put(PspConstants.KEY_OWNER_TELNO, source.getOwnerTelephoneNumber());
        parameters.put(PspConstants.KEY_OWNER_TOWN, source.getOwnerTown());
        parameters.put(PspConstants.KEY_EMAIL, source.getEmail());
        parameters.put(PspConstants.KEY_FLEX_PSPID, source.getPspId());
        parameters.put(PspConstants.KEY_LANGUAGE, source.getLanguage());
    }
}
