package com.psp.payment.flexpayments.populators;

import com.psp.constants.PspConstants;
import com.psp.payment.common.utils.PspExtensionTrackingUtils;
import com.psp.payment.flexpayments.dto.PspFlexPaymentRequest;
import com.psp.payment.tokenisation.converters.populators.request.AbstractPspPopulator;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;
import org.apache.commons.lang.StringUtils;

import javax.annotation.Resource;
import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspFlexPaymentTrackingPopulator extends AbstractPspPopulator<PspFlexPaymentRequest, PaymentData> {

    @Override
    public void populate(PspFlexPaymentRequest source, PaymentData target) {
        validateParameterNotNull(source, "Parameter [PspFlexPaymentRequest] source cannot be null");
        validateParameterNotNull(target, "Parameter [PaymentData] target cannot be null");

        initialiseParameters(target);
        Map<String, String> parameters = target.getParameters();
        String trackingKey = source.getTrackingKey();

        if (StringUtils.isNotEmpty(trackingKey)) {
            parameters.put(PspConstants.KEY_TRACKING, trackingKey);
        }
    }
}
