package com.psp.payment.flexpayments.strategies.impl;

import com.psp.data.PspCreateSubscriptionResult;
import com.psp.model.AbstractFlexPaymentInfoModel;
import com.psp.payment.flexpayments.strategies.PspFlexPaymentInfoCreateStrategy;
import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;
import de.hybris.platform.core.model.user.CustomerModel;
import de.hybris.platform.servicelayer.model.ModelService;

import javax.annotation.Resource;
import java.util.UUID;

public abstract class PspFlexPaymentInfoCreateStrategyImpl<T extends AbstractFlexPaymentInfoModel> implements PspFlexPaymentInfoCreateStrategy<T> {

    @Resource
    private ModelService modelService;

    @Override
    public PaymentInfoModel saveSubscription(CustomerModel customerModel, PspCreateSubscriptionResult response) {
        throw new UnsupportedOperationException("This functionality is not supported.");
    }

    @Override
    public abstract T saveSubscription(CartModel cartModel);

    public T saveSubscription(T paymentInfoModel, CartModel cartModel) {
        CustomerModel customerModel = (CustomerModel) cartModel.getUser();
        paymentInfoModel.setCode(customerModel.getUid() + "_" + UUID.randomUUID());
        paymentInfoModel.setUser(customerModel);
        paymentInfoModel.setBillingAddress(cartModel.getPaymentAddress());
        paymentInfoModel.setBrand(cartModel.getPaymentMode().getBrand());
        cartModel.setPaymentInfo(paymentInfoModel);
        modelService.saveAll(paymentInfoModel, cartModel);

        return paymentInfoModel;
    }
}
