package com.psp.payment.fraud.impl;

import de.hybris.platform.core.model.order.AbstractOrderModel;
import de.hybris.platform.core.model.user.UserModel;
import de.hybris.platform.fraud.impl.AbstractFraudServiceProvider;
import de.hybris.platform.fraud.impl.FraudServiceResponse;
import de.hybris.platform.fraud.strategy.OrderFraudSymptomDetection;
import org.apache.commons.lang.NotImplementedException;

import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public class PspFraudServiceProvider extends AbstractFraudServiceProvider {

    private List<OrderFraudSymptomDetection> symptomList;

    @Override
    public FraudServiceResponse recognizeOrderFraudSymptoms(AbstractOrderModel order) {
        FraudServiceResponse response = new FraudServiceResponse(this.getProviderName());

        OrderFraudSymptomDetection strategy;
        for (Iterator symptomsIterator = this.getSymptomList().iterator(); symptomsIterator.hasNext(); response = strategy.recognizeSymptom(response, order)) {
            strategy = (OrderFraudSymptomDetection) symptomsIterator.next();
        }

        return response;
    }

    @Override
    public FraudServiceResponse recognizeUserActivitySymptoms(UserModel userModel) {
        throw new NotImplementedException(this.getClass());
    }

    public List<OrderFraudSymptomDetection> getSymptomList() {
        return this.symptomList == null ? Collections.EMPTY_LIST : this.symptomList;
    }

    public void setSymptomList(List<OrderFraudSymptomDetection> symptomList) {
        this.symptomList = symptomList;
    }
}
