package com.psp.payment.fraud.symptom.impl;

import de.hybris.platform.core.model.order.AbstractOrderModel;
import de.hybris.platform.fraud.impl.FraudServiceResponse;
import de.hybris.platform.fraud.impl.FraudSymptom;
import de.hybris.platform.fraud.strategy.AbstractOrderFraudSymptomDetection;
import de.hybris.platform.payment.dto.TransactionStatus;
import de.hybris.platform.payment.dto.TransactionStatusDetails;
import de.hybris.platform.payment.model.PaymentTransactionEntryModel;
import de.hybris.platform.payment.model.PaymentTransactionModel;

import java.util.List;

public class PspFraudScoreSymptom extends AbstractOrderFraudSymptomDetection {
    @Override
    public FraudServiceResponse recognizeSymptom(FraudServiceResponse response, AbstractOrderModel order) {
        double increment = 0.0d;
        for (PaymentTransactionModel transaction : order.getPaymentTransactions()) {
            List<PaymentTransactionEntryModel> transactionEntries = transaction.getEntries();
            for (int index = transactionEntries.size() - 1; index >= 0; index--) {
                final PaymentTransactionEntryModel entry = transactionEntries.get(index);
                if(TransactionStatusDetails.REVIEW_NEEDED.name().equals(entry.getTransactionStatusDetails())
                        || TransactionStatus.REVIEW.name().equals(entry.getTransactionStatus())){
                    increment = getIncrement();
                    break;
                }
            }
        }
        response.addSymptom(new FraudSymptom(getSymptomName(),increment));
        return response;
    }
}
