package com.psp.payment.maintenance.converters.populators;

import com.psp.constants.PspConstants;
import com.psp.payment.common.dto.PspErrorData;
import com.psp.payment.maintenance.dto.PspMaintenanceResponse;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.servicelayer.dto.converter.ConversionException;
import org.apache.commons.lang.StringUtils;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspMaintenanceResponsePopulator implements Populator<Map<String, String>, PspMaintenanceResponse> {

    @Override
    public void populate(Map<String, String> source, PspMaintenanceResponse target) throws ConversionException {
        validateParameterNotNull(source, "Parameter [source] cannot be null.");
        validateParameterNotNull(target, "Parameter [target] cannot be null.");

        String amount = source.get(PspConstants.KEY_AMOUNT);

        if (StringUtils.isNotEmpty(amount)) {
            target.setAmount(amount);
        }

        String payId = source.get(PspConstants.KEY_PAYID);

        if (StringUtils.isNotEmpty(payId)) {
            target.setPayId(payId);
        }

        String acceptance = source.get(PspConstants.KEY_RESULT_ACCEPTANCE);

        if (StringUtils.isNotEmpty(acceptance)) {
            target.setAcceptance(acceptance);
        }

        String currency = source.get(PspConstants.KEY_CURRENCY);

        if (StringUtils.isNotEmpty(currency)) {
            target.setCurrency(currency);
        }

        String ncStatus = source.get(PspConstants.KEY_RESULT_NCSTATUS);

        if (StringUtils.isNotEmpty(ncStatus)) {
            target.setNcStatus(ncStatus);
        }

        String orderId = source.get(PspConstants.KEY_ORDERID);

        if (StringUtils.isNotEmpty(orderId)) {
            target.setOrderId(orderId);
        }

        String payIdSub = source.get(PspConstants.KEY_PAYID_SUB);

        if (StringUtils.isNotEmpty(payIdSub)) {
            target.setPayIdSub(payIdSub);
        }

        String status = source.get(PspConstants.KEY_STATUS);

        if (StringUtils.isNotEmpty(status)) {
            target.setStatus(status);
        }

        String ncError = source.get(PspConstants.KEY_NCERROR);
        String ncErrorPlus = source.get(PspConstants.KEY_NCERRORPLUS);
        PspErrorData errorData = new PspErrorData();
        target.setNcErrorData(errorData);

        if (StringUtils.isNotEmpty(ncError)) {
            errorData.setNcError(ncError);
        }

        if (StringUtils.isNotEmpty(ncErrorPlus)) {
            errorData.setNcErrorPlus(ncErrorPlus);
        }
    }
}
