package com.psp.payment.maintenance.strategies;

import com.psp.payment.common.enums.PspOperation;
import de.hybris.platform.core.model.order.OrderModel;

import java.math.BigDecimal;

public interface PspOperationEvaluationStrategy {

    /**
     * Evaluates the operation required for capturing funds based on the given
     * inputs.
     *
     * @param orderModel the order for which capture operation is required
     * @param amount     the amount to capture
     * @return One of the available operations
     */
    PspOperation evaluateOperation(OrderModel orderModel, BigDecimal amount);
}
