package com.psp.payment.setup;

import com.psp.constants.PspConstants;
import de.hybris.platform.commerceservices.setup.AbstractSystemSetup;
import de.hybris.platform.core.initialization.SystemSetup;
import de.hybris.platform.core.initialization.SystemSetupContext;
import de.hybris.platform.core.initialization.SystemSetupParameter;
import de.hybris.platform.core.initialization.SystemSetupParameterMethod;
import de.hybris.platform.servicelayer.config.ConfigurationService;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

import static com.psp.constants.PspConstants.EXTENSIONNAME;
import static de.hybris.platform.core.initialization.SystemSetup.Process.ALL;
import static de.hybris.platform.core.initialization.SystemSetup.Type.PROJECT;

@SystemSetup(extension = EXTENSIONNAME)
public class PspSystemSetup extends AbstractSystemSetup {

    @Resource
    private ConfigurationService configurationService;

    @Override
    @SystemSetupParameterMethod
    public List<SystemSetupParameter> getInitializationOptions() {
        return Collections.emptyList();
    }

    @SystemSetup(type = PROJECT, process = ALL)
    public void createProjectData(final SystemSetupContext context) {
        if (configurationService.getConfiguration().getBoolean(PspConstants.PARAM_IMPORT_DEFAULT_DATA)) {
            importImpexFile(
                    context, String.format("/%s/import/projectdata/paymentmodes.impex", EXTENSIONNAME),false);
            importImpexFile(
                    context, String.format("/%s/import/projectdata/paymentmodes_cmssite_relation.impex", EXTENSIONNAME),
                    false);
            importImpexFile(
                    context, String.format("/%s/import/projectdata/statusmessage.impex", EXTENSIONNAME), false);
            importImpexFile(
                    context, String.format("/%s/import/projectdata/errormessage.impex", EXTENSIONNAME), false);
            importImpexFile(
                    context, String.format("/%s/import/projectdata/errormessage_de.impex", EXTENSIONNAME), false);
            importImpexFile(
                    context, String.format("/%s/import/projectdata/store.impex", EXTENSIONNAME), false);
            importImpexFile(
                    context, String.format("/%s/import/projectdata/cms-responsive-content.impex", EXTENSIONNAME),
                    false);
        }
    }
}
