package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.payment.common.dto.PspPaymentRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.servicelayer.config.ConfigurationService;
import org.apache.commons.collections.MapUtils;

import javax.annotation.Resource;
import java.util.Map;
import java.util.TreeMap;

/**
 * Abstract populator for PSP.
 */
public abstract class AbstractPspPopulator<SOURCE extends PspPaymentRequest, TARGET extends PaymentData> implements Populator<SOURCE, TARGET> {

    @Resource
    private ConfigurationService configurationService;

    /**
     * Initialises the parameter map.
     *
     * @param paymentData the target dto for conversion.
     */
    protected void initialiseParameters(PaymentData paymentData) {
        Map<String, String> parameterMap = paymentData.getParameters();

        if (MapUtils.isEmpty(parameterMap)) {
            parameterMap = new TreeMap<>();
            paymentData.setParameters(parameterMap);
        }
    }

    public String getParameter(String key) {
        return configurationService.getConfiguration().getString(key);
    }
}
