package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.common.dto.PspPaymentRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

/**
 * Populates the hybris hosted callback URL's for PSP.
 */
public class PspCallbackUrlPopulator extends AbstractPspPopulator<PspPaymentRequest, PaymentData> {

    @Override
    public void populate(PspPaymentRequest source, PaymentData target) {
        initialiseParameters(target);
        Map<String, String> parameterMap = target.getParameters();
        parameterMap.put(PspConstants.KEY_ACCEPT_URL, source.getAcceptUrl());
        parameterMap.put(PspConstants.KEY_EXCEPTION_URL, source.getExceptionUrl());
    }
}
