package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import de.hybris.platform.commercefacades.user.data.AddressData;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.core.model.user.CustomerModel;
import org.apache.commons.lang.StringUtils;

public class PspCustomerNameFromAddressPopulator implements Populator<AddressData, CustomerModel> {

    @Override
    public void populate(AddressData addressData, CustomerModel customerModel) {

        StringBuilder nameBuilder = new StringBuilder();
        String firstName = addressData.getFirstName();

        if (StringUtils.isNotEmpty(firstName)) {
            nameBuilder.append(firstName);
        }

        String lastName = addressData.getLastName();

        if (StringUtils.isNotEmpty(lastName)) {
            if (nameBuilder.length() > 0) {
                nameBuilder.append(PspConstants.SPACE);
            }

            nameBuilder.append(lastName);
        }

        if (nameBuilder.length() > 0) {
            customerModel.setName(nameBuilder.toString());
        }
    }
}
