package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.common.dto.PspPaymentRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

/**
 * Populates the payment info for PSP.
 */
public class PspPaymentInfoPopulator extends AbstractPspPopulator<PspPaymentRequest, PaymentData> {

    @Override
    public void populate(PspPaymentRequest source, PaymentData target) {
        initialiseParameters(target);
        Map<String, String> parameterMap = target.getParameters();
        parameterMap.put(PspConstants.KEY_PAYMENT_METHOD, source.getPaymentMethod());
        if(!PspConstants.CREDIT_CARD.equals(source.getPaymentMethod())){
            parameterMap.put(PspConstants.KEY_RESULT_CARD_BRAND, source.getBrand());
        }

    }
}
