package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.common.dto.PspPaymentRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

/**
 * Populates the SHA signature for for PSP.
 */
public class PspSignaturePopulator extends AbstractPspPopulator<PspPaymentRequest, PaymentData> {

    @Override
    public void populate(PspPaymentRequest source, PaymentData target) {
        initialiseParameters(target);
        Map<String, String> parameterMap = target.getParameters();
        parameterMap.put(PspConstants.KEY_SHA_SIGNATURE, source.getShaSign());
    }
}
