package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.common.dto.PspPaymentRequest;
import com.psp.payment.common.utils.PspExtensionTrackingUtils;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;
import de.hybris.platform.servicelayer.dto.converter.ConversionException;
import org.apache.commons.lang.StringUtils;

import javax.annotation.Resource;
import java.util.Map;

public class PspTrackingKeyPopulator extends AbstractPspPopulator<PspPaymentRequest, PaymentData> {

    @Resource
    private PspExtensionTrackingUtils pspExtensionTrackingUtils;

    @Override
    public void populate(PspPaymentRequest source, PaymentData target) throws ConversionException {
        initialiseParameters(target);
        Map<String, String> parameterMap = target.getParameters();
        String trackingKey = pspExtensionTrackingUtils.fetchTrackingDetails();

        if (StringUtils.isNotEmpty(trackingKey)) {
            parameterMap.put(PspConstants.KEY_TRACKING, trackingKey);
        }
    }
}
