package com.psp.payment.tokenisation.converters.populators.response;

import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import com.psp.payment.common.enums.PspValidity;
import de.hybris.platform.converters.Populator;
import org.apache.commons.lang.StringUtils;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspCustomerInfoResultPopulator implements Populator<Map<String, String>, PspCreateSubscriptionResult> {

    @Override
    public void populate(Map<String, String> source, PspCreateSubscriptionResult target) {
        validateParameterNotNull(source, "Parameter [Map<String, String>] source cannot be null");
        validateParameterNotNull(target, "Parameter [PSPCreateSubscriptionResult] target cannot be null");

        String requestToken = source.get(PspConstants.KEY_RESULT_ALIAS_ID);
        final String storeDecision = source.get(PspConstants.KEY_RESULT_STORE_PERMANENTLY);

        if (StringUtils.isNotEmpty(requestToken)) {
            target.setPaymentToken(requestToken);
        }

        if (StringUtils.isNotEmpty(storeDecision)) {
            switch (storeDecision) {
                case PspConstants.YES: {
                    target.setValidity(PspValidity.INDEFINITE);
                    break;
                }
                case PspConstants.NO: {
                    target.setValidity(PspValidity.TEMPORARY);
                }
            }
        }
    }
}
