package com.psp.payment.tokenisation.converters.populators.response;

import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import com.psp.payment.common.dto.PspErrorData;
import de.hybris.platform.converters.Populator;
import org.apache.commons.lang.StringUtils;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspErrorResultPopulator implements Populator<Map<String, String>, PspCreateSubscriptionResult> {

    @Override
    public void populate(final Map<String, String> source, final PspCreateSubscriptionResult target) {
        validateParameterNotNull(source, "Parameter [Map<String, String>] source cannot be null");
        validateParameterNotNull(target, "Parameter [PSPCreateSubscriptionResult] target cannot be null");

        String ncError = source.get(PspConstants.KEY_RESULT_NCERROR);
        String ncErrorCardNo = source.get(PspConstants.KEY_RESULT_NCERRORCARDNO);
        String ncErrorCardholdersName = source.get(PspConstants.KEY_RESULT_NCERRORCN);
        String ncErrorCvc = source.get(PspConstants.KEY_RESULT_NCERRORCVC);
        String ncErrorEd = source.get(PspConstants.KEY_RESULT_NCERRORED);
        final PspErrorData errorData = new PspErrorData();

        if (StringUtils.isNotEmpty(ncError)) {
            errorData.setNcError(ncError);
        }

        if (StringUtils.isNotEmpty(ncErrorCardNo)) {
            errorData.setNcErrorCardNo(ncErrorCardNo);
        }

        if (StringUtils.isNotEmpty(ncErrorCardholdersName)) {
            errorData.setNcErrorCN(ncErrorCardholdersName);
        }

        if (StringUtils.isNotEmpty(ncErrorCvc)) {
            errorData.setNcErrorCVC(ncErrorCvc);
        }

        if (StringUtils.isNotEmpty(ncErrorEd)) {
            errorData.setNcErrorED(ncErrorEd);
        }

        target.setErrorData(errorData);
    }
}
