package com.psp.payment.tokenisation.converters.populators.response;

import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import de.hybris.platform.acceleratorservices.payment.data.OrderInfoData;
import de.hybris.platform.converters.Populator;
import org.apache.commons.lang.StringUtils;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspOrderInfoResultPopulator implements Populator<Map<String, String>, PspCreateSubscriptionResult> {

    @Override
    public void populate(final Map<String, String> source, final PspCreateSubscriptionResult target) {
        validateParameterNotNull(source, "Parameter [Map<String, String>] source cannot be null");
        validateParameterNotNull(target, "Parameter [PSPCreateSubscriptionResult] target cannot be null");

        String orderId = source.get(PspConstants.KEY_RESULT_ORDERID);
        final OrderInfoData orderData = new OrderInfoData();

        if (StringUtils.isNotEmpty(orderId)) {
            orderData.setOrderNumber(orderId);
        }

        target.setOrderInfoData(orderData);
    }
}
