package com.psp.payment.tokenisation.converters.populators.response;

import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import com.psp.payment.common.enums.PspTokenisationStatus;
import de.hybris.platform.converters.Populator;
import org.apache.commons.lang.StringUtils;

import java.util.Map;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspStatusResultPopulator implements Populator<Map<String, String>, PspCreateSubscriptionResult> {

    @Override
    public void populate(final Map<String, String> source, final PspCreateSubscriptionResult target) {
        validateParameterNotNull(source, "Parameter [Map<String, String>] source cannot be null");
        validateParameterNotNull(target, "Parameter [PspCreateSubscriptionResult] target cannot be null");

        final String tokenisationStatus = source.get(PspConstants.KEY_RESULT_STATUS);

        if (StringUtils.isNotBlank(tokenisationStatus)) {
            switch (tokenisationStatus) {
                case PspConstants.VALUE_TOKENISATION_STATUS_OK: {
                    target.setTokenisationStatus(PspTokenisationStatus.OK);
                    break;
                }
                case PspConstants.VALUE_TOKENISATION_STATUS_NOK: {
                    target.setTokenisationStatus(PspTokenisationStatus.NOK);
                    break;
                }
                case PspConstants.VALUE_TOKENISATION_STATUS_ALIASUPDATED: {
                    target.setTokenisationStatus(PspTokenisationStatus.ALIAS_UPDATED);
                    break;
                }
                case PspConstants.VALUE_TOKENISATION_STATUS_CANCELLED: {
                    target.setTokenisationStatus(PspTokenisationStatus.CANCELLED_BY_USER);
                }
            }
        }
    }
}
