package com.psp.payment.tokenisation.dto;

import com.psp.payment.common.dto.PspPaymentRequest;
import org.apache.commons.lang.StringUtils;

import java.util.Objects;

public class PspCreateSubscriptionRequest extends PspPaymentRequest {

    private String aliasId;

    private String storePermanently;

    private String paramPlus;


    public String getAliasId() {
        return aliasId;
    }

    public void setAliasId(String aliasId) {
        this.aliasId = aliasId;
    }


    public String getStorePermanently() {
        return storePermanently;
    }

    public void setStorePermanently(String storePermanently) {
        this.storePermanently = storePermanently;
    }


    public String getParamPlus() {
        return paramPlus;
    }

    public void setParamPlus(String paramPlus) {
        this.paramPlus = paramPlus;
    }

    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof PspCreateSubscriptionRequest)) {
            return false;
        }

        if (this == obj) {
            return true;
        }

        PspCreateSubscriptionRequest other = (PspCreateSubscriptionRequest) obj;

        if (StringUtils.equals(this.getPspId(), other.getPspId()) && StringUtils.equals(this.getAliasId(), other.getAliasId())
                && StringUtils.equals(this.getOrderId(), other.getOrderId())
                && StringUtils.equals(this.getStorePermanently(), other.getStorePermanently())
                && StringUtils.equals(this.getPaymentMethod(), other.getPaymentMethod())
                && StringUtils.equals(this.getAcceptUrl(), other.getAcceptUrl())
                && StringUtils.equals(this.getExceptionUrl(), other.getExceptionUrl())
                && StringUtils.equals(this.getShaSign(), other.getShaSign())) {
            return true;
        }

        return false;
    }

    @Override
    public int hashCode() {
        return Objects.hash(getPspId(), getAliasId(), getOrderId(), getStorePermanently(), getPaymentMethod(), getAcceptUrl(), getExceptionUrl(), getShaSign());
    }
}
