package com.psp.payment.tokenisation.strategies;

import com.psp.payment.tokenisation.dto.PspCreateSubscriptionRequest;
import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.core.model.user.CustomerModel;

/**
 * A strategy to create the subscription request.
 */
public interface PspCreateSubscriptionRequestStrategy {

    /**
     * Creates the subscription request.
     *
     * @param cartModel     the cart to be used in the subscription request
     * @param customerModel the customer to be used in the subscription request
     * @return Subscription request
     */
    PspCreateSubscriptionRequest createSubscriptionRequest(CartModel cartModel, CustomerModel customerModel);
}
