package com.psp.payment.tokenisation.strategies;

import com.psp.data.PspCreateSubscriptionResult;

import java.util.Map;

/**
 * Strategy for interpreting the response to a tokenisation request.
 */
public interface PspPaymentResponseInterpretationStrategy {


    /**
     * This method defines how to interpret {@link PspCreateSubscriptionResult}
     * that represents the set of parameters returned from tokenisation request
     * with the PSP.
     *
     * @param responseParameters - The response parameters necessary to
     *                           complete tokenisation with the PSP.
     */
    PspCreateSubscriptionResult interpretResponse(Map<String, String> responseParameters);
}
