package com.psp.payment.tokenisation.strategies;

import com.psp.data.PspCreateSubscriptionResult;
import com.psp.data.PspPaymentSubscriptionResultItem;

/**
 * Contract for handling the tokenisation response.
 */
public interface PspResponseStrategy {

    /**
     * Handles the tokenisation response.
     *
     * @param result parsed response
     * @return details of action taken based on the response
     */
    PspPaymentSubscriptionResultItem handleResponse(PspCreateSubscriptionResult result);
}
