package com.psp.payment.tokenisation.strategies.impl;

import com.psp.payment.tokenisation.strategies.PspCreditCardTypeBrandMappingStrategy;
import de.hybris.platform.core.enums.CreditCardType;
import org.apache.commons.lang.StringUtils;

public class PspCreditCardTypeBrandMappingStrategyImpl implements PspCreditCardTypeBrandMappingStrategy {

    @Override
    public CreditCardType getCreditCardType(final String brand) {
        CreditCardType creditCardType = null;

        if (StringUtils.isNotEmpty(brand)) {
            switch (brand) {
                case "MasterCard": {
                    creditCardType = CreditCardType.MASTER;
                    break;
                }
                case "VISA": {
                    creditCardType = CreditCardType.VISA;
                    break;
                }
                case "American Express": {
                    creditCardType = CreditCardType.AMEX;
                    break;
                }
                case "Diners Club": {
                    creditCardType = CreditCardType.DINERS;
                    break;
                }
                case "MAESTRO": {
                    creditCardType = CreditCardType.MAESTRO;
                }
            }
        }

        return creditCardType;
    }
}
