package com.psp.payment.tokenisation.strategies.impl;

import com.psp.payment.common.dto.PspErrorData;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.math.NumberUtils;

public class PspErrorResponseStrategyImpl extends AbstractPspResponseStrategy {

    @Override
    protected String getErrorCode(PspErrorData errorData) {

        String errorMessageCode = StringUtils.EMPTY;

        if (errorData != null) {
            errorMessageCode = getErrorMessageCode(errorData.getNcErrorCardNo());

            if (StringUtils.isEmpty(errorMessageCode)) {
                errorMessageCode = getErrorMessageCode(errorData.getNcErrorCN());

                if (StringUtils.isEmpty(errorMessageCode)) {
                    errorMessageCode = getErrorMessageCode(errorData.getNcErrorCVC());

                    if (StringUtils.isEmpty(errorMessageCode)) {
                        errorMessageCode = getErrorMessageCode(errorData.getNcErrorED());

                        if (StringUtils.isEmpty(errorMessageCode)) {
                            errorMessageCode = getErrorMessageCode(errorData.getNcError());
                        }
                    }
                }
            }
        }

        return errorMessageCode;
    }

    private String getErrorMessageCode(String errorCodeString) {
        if (NumberUtils.isNumber(errorCodeString) && Integer.valueOf(errorCodeString) > 0) {
            return errorCodeString;
        }

        return StringUtils.EMPTY;
    }
}
