package com.psp.payment.tokenisation.strategies.impl;

import com.psp.data.PspCreateSubscriptionResult;
import com.psp.payment.tokenisation.strategies.PspPaymentResponseInterpretationStrategy;
import de.hybris.platform.servicelayer.dto.converter.Converter;
import org.apache.commons.collections.MapUtils;

import java.util.Map;

public class PspPaymentResponseInterpretationStrategyImpl implements PspPaymentResponseInterpretationStrategy {

    private Converter<Map<String, String>, PspCreateSubscriptionResult> pspCreateSubscriptionResultConverter;

    @Override
    public PspCreateSubscriptionResult interpretResponse(Map<String, String> responseParameters) {
        if (MapUtils.isEmpty(responseParameters)) {
            throw new IllegalArgumentException("ResponseParams map cannot be empty");
        }

        return getPspCreateSubscriptionResultConverter().convert(responseParameters);
    }

    public Converter<Map<String, String>, PspCreateSubscriptionResult> getPspCreateSubscriptionResultConverter() {
        return pspCreateSubscriptionResultConverter;
    }

    public void setPspCreateSubscriptionResultConverter(
            Converter<Map<String, String>, PspCreateSubscriptionResult> pspCreateSubscriptionResultConverter) {
        this.pspCreateSubscriptionResultConverter = pspCreateSubscriptionResultConverter;
    }
}
