package com.psp.payment.common.dao.impl;

import com.psp.model.ErrorMessageModel;
import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.servicelayer.search.FlexibleSearchQuery;
import de.hybris.platform.servicelayer.search.FlexibleSearchService;
import de.hybris.platform.servicelayer.search.SearchResult;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import java.util.List;

import static org.junit.Assert.assertEquals;
import static org.mockito.Matchers.any;
import static org.mockito.Mockito.when;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspErrorMessageDaoImplTest {

    @InjectMocks
    private PspErrorMessageDaoImpl pspErrorMessageDaoImpl;

    @Mock
    private FlexibleSearchService flexibleSearchService;

    @Mock
    private SearchResult searchResult;

    @Mock
    private List<ErrorMessageModel> errorMessageModelList;

    @Before
    public void setup() {
        pspErrorMessageDaoImpl.setFlexibleSearchService(flexibleSearchService);
        when(flexibleSearchService.search(any(FlexibleSearchQuery.class))).thenReturn(searchResult);
        when(searchResult.getResult()).thenReturn(errorMessageModelList);
    }

    @Test
    public void errorMessageIsFetchedCorrectly() {
        // When
        List<ErrorMessageModel> result = pspErrorMessageDaoImpl.findErrorMessageByCode("001");

        // Then
        assertEquals(errorMessageModelList, result);
    }
}
