package com.psp.payment.common.dao.impl;

import com.psp.model.StatusMessageModel;
import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.servicelayer.search.FlexibleSearchQuery;
import de.hybris.platform.servicelayer.search.FlexibleSearchService;
import de.hybris.platform.servicelayer.search.SearchResult;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import java.util.List;

import static org.junit.Assert.assertEquals;
import static org.mockito.Matchers.any;
import static org.mockito.Mockito.when;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspStatusMessageDaoImplTest {

    @InjectMocks
    private PspStatusMessageDaoImpl pspStatusMessageDao;

    @Mock
    private FlexibleSearchService flexibleSearchService;

    @Mock
    private SearchResult<StatusMessageModel> searchResult;

    @Mock
    private List<StatusMessageModel> statusMessageModelList;

    @Before
    public void setup() {
        pspStatusMessageDao.setFlexibleSearchService(flexibleSearchService);
        when(flexibleSearchService.<StatusMessageModel>search(any(FlexibleSearchQuery.class))).thenReturn(searchResult);
        when(searchResult.getResult()).thenReturn(statusMessageModelList);
    }

    @Test
    public void statusMessageIsFetchedCorrectly() {
        // When
        List<StatusMessageModel> result = pspStatusMessageDao.findErrorMessageByStatus("status");

        // Then
        assertEquals(statusMessageModelList, result);
    }
}
