package com.psp.payment.common.strategies.impl;

import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.servicelayer.keygenerator.KeyGenerator;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;
import static org.mockito.Mockito.when;


@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspCreateOrderFromCartStrategyImplTest {

    @InjectMocks
    private PspCreateOrderFromCartStrategyImpl pspCreateOrderFromCartStrategy;

    @Mock
    private CartModel cartModel;

    @Mock
    private KeyGenerator keyGenerator;

    private static final String EXPECTED_CODE = "cart";

    @Test
    public void generatedOrderCodeIsSameAsCartCode() {
        // Given
        when(cartModel.getCode()).thenReturn(EXPECTED_CODE);

        // When
        String result = pspCreateOrderFromCartStrategy.generateOrderCode(cartModel);

        // Then
        assertEquals(EXPECTED_CODE, result);
    }

    @Test
    public void generatedOrderCodeIsDifferentThanCartCode() {
        // Given
        when(keyGenerator.generate()).thenReturn("order");

        // When
        String result = pspCreateOrderFromCartStrategy.generateOrderCode(null);

        // Then
        assertNotEquals(EXPECTED_CODE, result);
    }
}
