package com.psp.payment.common.strategies.impl;

import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.core.model.order.OrderModel;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Answers;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import static org.junit.Assert.assertTrue;
import static org.mockito.Mockito.when;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspGenerateMerchantTransactionCodeStrategyImplTest {

    @InjectMocks
    private PspGenerateMerchantTransactionCodeStrategyImpl pspGenerateMerchantTransactionCodeStrategy;

    @Mock(answer = Answers.RETURNS_DEEP_STUBS)
    private OrderModel orderModel;

    @Test(expected = IllegalArgumentException.class)
    public void codeIsNotGeneratedIfAbstractOrderNotProvided() {
        // When
        pspGenerateMerchantTransactionCodeStrategy.generateCode(null);

        // Then an exception is thrown
    }

    @Test
    public void codeIsGenerated() {
        // Given
        when(orderModel.getUser().getUid()).thenReturn("testuser");

        // When
        String code = pspGenerateMerchantTransactionCodeStrategy.generateCode(orderModel);

        // Then
        assertTrue(code.startsWith("testuser"));
    }
}
