package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.tokenisation.dto.PspCreateSubscriptionRequest;
import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;
import org.junit.Before;
import org.junit.Test;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.*;

@UnitTest
public class PspCustomerInfoPopulatorTest {

    private PspCustomerInfoPopulator pspCustomerInfoPopulator;

    private PspCreateSubscriptionRequest pspCreateSubscriptionRequest;

    private PaymentData paymentData;

    @Before
    public void setUp() {
        pspCustomerInfoPopulator = new PspCustomerInfoPopulator();
        pspCreateSubscriptionRequest = new PspCreateSubscriptionRequest();
        paymentData = new PaymentData();
    }

    @Test
    public void testPopulateWithValidData() {
        // Given
        pspCreateSubscriptionRequest.setStorePermanently("N");

        // When
        pspCustomerInfoPopulator.populate(pspCreateSubscriptionRequest, paymentData);

        // Then
        assertNotNull(paymentData.getParameters());
        assertThat(paymentData.getParameters().size(), is(1));
        assertThat(paymentData.getParameters().get(PspConstants.KEY_STORE_PERMANENTLY), is("N"));
    }

    @Test
    public void testPopulateWithEmptyData() {
        // Given
        pspCreateSubscriptionRequest.setStorePermanently("");

        // When
        pspCustomerInfoPopulator.populate(pspCreateSubscriptionRequest, paymentData);

        // Then
        assertNotNull(paymentData.getParameters());
        assertThat(paymentData.getParameters().size(), is(1));
        assertThat(paymentData.getParameters().get(PspConstants.KEY_STORE_PERMANENTLY), is(""));
    }

    @Test
    public void testPopulateWithNoData() {
        // Given nothing

        // When
        pspCustomerInfoPopulator.populate(pspCreateSubscriptionRequest, paymentData);

        // Then
        assertNotNull(paymentData.getParameters());
        assertThat(paymentData.getParameters().size(), is(1));
        assertNull(paymentData.getParameters().get(PspConstants.KEY_STORE_PERMANENTLY));
    }
}
