package com.psp.payment.tokenisation.converters.populators.response;


import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.acceleratorservices.payment.data.OrderInfoData;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.runners.MockitoJUnitRunner;

import java.util.Map;
import java.util.TreeMap;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertThat;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspOrderInfoResultPopulatorTest {

    @InjectMocks
    private PspOrderInfoResultPopulator pspOrderInfoResultPopulator;

    private Map<String, String> source;

    private PspCreateSubscriptionResult target;

    @Before
    public void setup() {
        source = new TreeMap<>();
        target = new PspCreateSubscriptionResult();
    }

    @Test
    public void testPopulateSuccess() {
        source.put(PspConstants.KEY_RESULT_ORDERID, "000001-10");
        pspOrderInfoResultPopulator.populate(source, target);

        OrderInfoData orderData = target.getOrderInfoData();
        assertThat(orderData.getOrderNumber(), is("000001-10"));
    }

    @Test
    public void testPopulateNullValue() {
        source.put(PspConstants.KEY_RESULT_ORDERID, null);
        pspOrderInfoResultPopulator.populate(source, target);

        OrderInfoData orderData = target.getOrderInfoData();
        assertEquals(orderData.getOrderNumber(), null);
    }

    @Test
    public void testPopulateEmptyValue() {
        source.put(PspConstants.KEY_RESULT_ORDERID, "");
        pspOrderInfoResultPopulator.populate(source, target);

        OrderInfoData orderData = target.getOrderInfoData();
        assertEquals(orderData.getOrderNumber(), null);
    }
}
