package com.psp.payment.tokenisation.converters.populators.response;

import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import de.hybris.bootstrap.annotations.UnitTest;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.runners.MockitoJUnitRunner;

import java.util.Map;
import java.util.TreeMap;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertThat;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspSignatureResultPopulatorTest {

    @InjectMocks
    private PspSignatureResultPopulator pspSignatureResultPopulator;

    private Map<String, String> source;

    private PspCreateSubscriptionResult target;

    @Before
    public void setup() {
        source = new TreeMap<>();
        target = new PspCreateSubscriptionResult();
    }

    @Test
    public void testPopulateSuccess() {
        source.put(PspConstants.KEY_SHASIGN, "0DEDADB0CB36CB23E99C9C76AA0AE6A6D0E572D0344136FE5AF27D24FC7337C8");
        pspSignatureResultPopulator.populate(source, target);

        assertThat(target.getShaSignature(), is("0DEDADB0CB36CB23E99C9C76AA0AE6A6D0E572D0344136FE5AF27D24FC7337C8"));
    }

    @Test
    public void testPopulateNullValue() {
        source.put(PspConstants.KEY_SHASIGN, null);
        pspSignatureResultPopulator.populate(source, target);

        assertEquals(target.getShaSignature(), null);
    }

    @Test
    public void testPopulateEmptyValue() {
        source.put(PspConstants.KEY_SHASIGN, "");
        pspSignatureResultPopulator.populate(source, target);

        assertEquals(target.getShaSignature(), null);
    }
}

