package com.psp.payment.tokenisation.strategies.impl;

import com.psp.constants.PspConstants;
import com.psp.data.PspCreateSubscriptionResult;
import com.psp.data.PspPaymentSubscriptionResultItem;
import com.psp.payment.common.enums.PspTokenisationStatus;
import de.hybris.bootstrap.annotations.UnitTest;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.runners.MockitoJUnitRunner;

import static org.junit.Assert.assertEquals;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspUserCancelledResponseStrategyImplTest {

    @InjectMocks
    private PspUserCancelledResponseStrategyImpl pspUserCancelledResponseStrategy;

    private PspCreateSubscriptionResult pspCreateSubscriptionResult;

    @Before
    public void setup() {
        pspCreateSubscriptionResult = new PspCreateSubscriptionResult();
    }

    @Test
    public void subscriptionResultIsPopulatedCorrectly() {
        // Given
        pspCreateSubscriptionResult.setTokenisationStatus(PspTokenisationStatus.NOK);

        // When
        PspPaymentSubscriptionResultItem result = pspUserCancelledResponseStrategy.handleResponse(pspCreateSubscriptionResult);

        // Then
        assertEquals(Boolean.FALSE, result.isSuccess());
        assertEquals("NOK", result.getDecision());
        assertEquals(PspConstants.ERROR_CODE_CANCELLED_BY_USER, result.getErrorCode());
    }
}
