package com.psp.addon.controllers.pages.checkout.steps;

import com.psp.payment.common.services.PspPaymentService;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

@Controller
@RequestMapping(value = "/checkout/psp/postpayment")
public class PspPostPaymentFeedbackController {
    private static final Logger LOGGER = LoggerFactory.getLogger(PspPostPaymentFeedbackController.class);

    @Resource
    private PspPaymentService paymentService;

    @RequestMapping(value = "/response", method = {RequestMethod.POST, RequestMethod.GET})
    public void handlePostPaymentFeedback(final HttpServletRequest request, final Model model, RedirectAttributes redirectAttributes) {

        paymentService.processPostPaymentFeedback(getParameterMap(request));

    }

    /**
     * Gets the request parameters.
     *
     * @param request the http request
     * @return parameters as name value pair
     */
    private Map<String, String> getParameterMap(final HttpServletRequest request) {
        Map<String, String> map = new HashMap<>();
        Enumeration<String> myEnum = request.getParameterNames();

        while (myEnum.hasMoreElements()) {
            String paramName = myEnum.nextElement();
            String paramValue = request.getParameter(paramName);

            map.put(StringUtils.upperCase(paramName), paramValue);
        }

        // TODO: This should be removed few days after R1 go live
        logUsefulData(map);

        return map;
    }

    private void logUsefulData(Map<String, String> result) {
        LOGGER.info("***post payment feedback Parameters***");

        if (result.containsKey("ORDERID")) {
            LOGGER.info("Order Id: " + result.get("ORDERID"));
        }

        if (result.containsKey("NCERROR")) {
            LOGGER.info("NCERROR: " + result.get("NCERROR"));
        }

        if (result.containsKey("STATUS")) {
            LOGGER.info("STATUS: " + result.get("STATUS"));
        }

        if (result.containsKey("SCO_CATEGORY")) {
            LOGGER.info("SCO_CATEGORY: " + result.get("SCO_CATEGORY"));
        }
    }

}
