package com.psp.addon.tags;

import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.Velocity;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;


/**
 * This tag renders and executes the html string we get from third parties.
 * Example of how to use it in JSP files:
 * <%@ taglib prefix="psp" uri="http://psp.com/tld/psp" %>
 * <psp:IncludeHTMLContent content="${content}"/>
 */
public class IncludeHTMLContent extends BodyTagSupport {

    private static final long serialVersionUID = -705639279161645321L;
    private String content;

    @Override
    public int doStartTag() throws JspException {
        Velocity.evaluate(new VelocityContext(), pageContext.getOut(), "velocitytag", getContent());
        return SKIP_BODY;
    }

    /**
     * @return the content
     */
    public String getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(final String content) {
        this.content = content;
    }
}
