<%@ attribute name="regions" required="true" type="java.util.List"%>
<%@ attribute name="country" required="false" type="java.lang.String"%>
<%@ attribute name="tabindex" required="false" type="java.lang.Integer"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="formElement" tagdir="/WEB-INF/tags/responsive/formElement" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="theme" tagdir="/WEB-INF/tags/shared/theme" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="ycommerce" uri="http://hybris.com/tld/ycommercetags" %>

<c:choose>
	<c:when test="${country == 'US'}">
		<formElement:formSelectBox idKey="billingAddress.title" labelKey="address.title" path="billTo_titleCode" mandatory="true" skipBlank="false" skipBlankMessageKey="address.title.pleaseSelect" items="${titles}" selectedValue="${addressForm.titleCode}" tabindex="${tabindex + 1}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.firstName" labelKey="address.firstName" path="billTo_firstName" inputCSS="text" mandatory="true" tabindex="${tabindex + 2}"/>
		<formElement:formInputBox idKey="billingAddress.surname" labelKey="address.surname" path="billTo_lastName" inputCSS="text" mandatory="true" tabindex="${tabindex + 3}"/>
		<formElement:formInputBox idKey="billingAddress.line1" labelKey="address.line1" path="billTo_line1" inputCSS="text" mandatory="true" tabindex="${tabindex + 4}"/>
		<formElement:formInputBox idKey="billingAddress.line2" labelKey="address.line2" path="billTo_line2" inputCSS="text" mandatory="false" tabindex="${tabindex + 5}"/>
		<formElement:formInputBox idKey="billingAddress.townCity" labelKey="address.townCity" path="billTo_townCity" inputCSS="text" mandatory="true" tabindex="${tabindex + 6}"/>
		<formElement:formSelectBox idKey="billingAddress.region" labelKey="address.state" path="billTo_regionIso" mandatory="true" skipBlank="false" skipBlankMessageKey="address.selectState" items="${regions}" itemValue="isocodeShort" tabindex="${tabindex + 7}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.postcode" labelKey="address.postcode" path="billTo_postcode" inputCSS="text" mandatory="true" tabindex="${tabindex + 8}"/>
	</c:when>
	<c:when test="${country == 'CA'}">
		<formElement:formSelectBox idKey="billingAddress.title" labelKey="address.title" path="billTo_titleCode" mandatory="true" skipBlank="false" skipBlankMessageKey="address.title.pleaseSelect" items="${titles}" selectedValue="${addressForm.titleCode}" tabindex="${tabindex + 1}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.firstName" labelKey="address.firstName" path="billTo_firstName" inputCSS="text" mandatory="true" tabindex="${tabindex + 2}"/>
		<formElement:formInputBox idKey="billingAddress.surname" labelKey="address.surname" path="billTo_lastName" inputCSS="text" mandatory="true" tabindex="${tabindex + 3}"/>
		<formElement:formInputBox idKey="billingAddress.line1" labelKey="address.line1" path="billTo_line1" inputCSS="text" mandatory="true" tabindex="${tabindex + 4}"/>
		<formElement:formInputBox idKey="billingAddress.line2" labelKey="address.line2" path="billTo_line2" inputCSS="text" mandatory="false" tabindex="${tabindex + 5}"/>
		<formElement:formInputBox idKey="billingAddress.townCity" labelKey="address.townCity" path="billTo_townCity" inputCSS="text" mandatory="true" tabindex="${tabindex + 6}"/>
		<formElement:formSelectBox idKey="billingAddress.region" labelKey="address.province" path="billTo_regionIso" mandatory="true" skipBlank="false" skipBlankMessageKey="address.selectProvince" items="${regions}" itemValue="isocodeShort" tabindex="${tabindex + 7}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.postcode" labelKey="address.postcode" path="billTo_postcode" inputCSS="text" mandatory="true" tabindex="${tabindex + 8}"/>
	</c:when>
	<c:when test="${country == 'CN'}">
		<formElement:formInputBox idKey="billingAddress.postcode" labelKey="address.postcode" path="billTo_postcode" inputCSS="text" mandatory="true" tabindex="${tabindex + 2}"/>
		<formElement:formSelectBox idKey="billingAddress.region" labelKey="address.province" path="billTo_regionIso" mandatory="true" skipBlank="false" skipBlankMessageKey="address.selectProvince" items="${regions}" itemValue="isocodeShort" tabindex="${tabindex + 3}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.townCity" labelKey="address.townCity" path="billTo_townCity" inputCSS="text" mandatory="true" tabindex="${tabindex + 4}"/>
		<formElement:formInputBox idKey="billingAddress.line2" labelKey="address.district_and_street" path="billTo_line2" inputCSS="text" mandatory="true" tabindex="${tabindex + 5}"/>
		<formElement:formInputBox idKey="billingAddress.line1" labelKey="address.building_and_room" path="billTo_line1" inputCSS="text" mandatory="false" tabindex="${tabindex + 6}"/>
		<formElement:formInputBox idKey="billingAddress.surname" labelKey="address.surname" path="billTo_lastName" inputCSS="text" mandatory="true" tabindex="${tabindex + 7}"/>
		<formElement:formInputBox idKey="billingAddress.firstName" labelKey="address.firstName" path="billTo_firstName" inputCSS="text" mandatory="true" tabindex="${tabindex + 8}"/>
		<formElement:formSelectBox idKey="billingAddress.title" labelKey="address.title" path="billTo_titleCode" mandatory="true" skipBlank="false" skipBlankMessageKey="address.title.pleaseSelect" items="${titles}" selectedValue="${addressForm.titleCode}" tabindex="${tabindex + 1}" selectCSSClass="form-control"/>
	</c:when>
	<c:when test="${country == 'JP'}">
		<formElement:formSelectBox idKey="billingAddress.title" labelKey="address.title" path="billTo_titleCode" mandatory="true" skipBlank="false" skipBlankMessageKey="address.title.pleaseSelect" items="${titles}" selectedValue="${addressForm.titleCode}" tabindex="${tabindex + 1}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.surname" labelKey="address.surname" path="billTo_lastName" inputCSS="text" mandatory="true" tabindex="${tabindex + 2}"/>
		<formElement:formInputBox idKey="billingAddress.firstName" labelKey="address.firstName" path="billTo_firstName" inputCSS="text" mandatory="true" tabindex="${tabindex + 3}"/>
		<formElement:formInputBox idKey="billingAddress.postcode" labelKey="address.postcodeJP" path="billTo_postcode" inputCSS="text" mandatory="true" tabindex="${tabindex + 4}"/>
		<formElement:formSelectBox idKey="billingAddress.region" labelKey="address.prefecture" path="billTo_regionIso" mandatory="true" skipBlank="false" skipBlankMessageKey="address.selectPrefecture" items="${regions}" itemValue="isocodeShort" tabindex="${tabindex + 5}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.townCity" labelKey="address.townJP" path="billTo_townCity" inputCSS="text" mandatory="true" tabindex="${tabindex + 6}"/>
		<formElement:formInputBox idKey="billingAddress.line2" labelKey="address.subarea" path="billTo_line2" inputCSS="text" mandatory="true" tabindex="${tabindex + 7}"/>
		<formElement:formInputBox idKey="billingAddress.line1" labelKey="address.furtherSubarea" path="billTo_line1" inputCSS="text" mandatory="true" tabindex="${tabindex + 8}"/>
	</c:when>
	<c:otherwise>
		<formElement:formSelectBox idKey="billingAddress.title" labelKey="address.title" path="billTo_titleCode" mandatory="true" skipBlank="false" skipBlankMessageKey="address.title.pleaseSelect" items="${titles}" selectedValue="${addressForm.titleCode}" tabindex="${tabindex + 1}" selectCSSClass="form-control"/>
		<formElement:formInputBox idKey="billingAddress.firstName" labelKey="address.firstName" path="billTo_firstName" inputCSS="text" mandatory="true" tabindex="${tabindex + 2}"/>
		<formElement:formInputBox idKey="billingAddress.surname" labelKey="address.surname" path="billTo_lastName" inputCSS="text" mandatory="true" tabindex="${tabindex + 3}"/>
		<formElement:formInputBox idKey="billingAddress.line1" labelKey="address.line1" path="billTo_line1" inputCSS="text" mandatory="true" tabindex="${tabindex + 4}"/>
		<formElement:formInputBox idKey="billingAddress.line2" labelKey="address.line2" path="billTo_line2" inputCSS="text" mandatory="false" tabindex="${tabindex + 5}"/>
		<formElement:formInputBox idKey="billingAddress.townCity" labelKey="address.townCity" path="billTo_townCity" inputCSS="text" mandatory="true" tabindex="${tabindex + 6}"/>
		<formElement:formInputBox idKey="billingAddress.postcode" labelKey="address.postcode" path="billTo_postcode" inputCSS="text" mandatory="true" tabindex="${tabindex + 7}"/>
	</c:otherwise>
</c:choose>
