<%@ page trimDirectiveWhitespaces="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" tagdir="/WEB-INF/tags/addons/pspaddon/responsive/template" %>
<%@ taglib prefix="cms" uri="http://hybris.com/tld/cmstags" %>
<%@ taglib prefix="multiCheckout" tagdir="/WEB-INF/tags/responsive/checkout/multi" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="ycommerce" uri="http://hybris.com/tld/ycommercetags" %>
<%@ taglib prefix="multiCheckout-psp" tagdir="/WEB-INF/tags/addons/pspaddon/responsive/checkout/multi" %>

<spring:htmlEscape defaultHtmlEscape="true"/>

<c:url value="/checkout/multi/payment-method/choosePaymentMode" var="choosePaymentModeAction"/>
<template:page pageTitle="${pageTitle}" hideHeaderLinks="true">

    <div class="row">
        <div class="col-sm-6">
            <div class="checkout-headline">
                <spring:theme code="checkout.multi.secure.checkout"/>
            </div>

            <multiCheckout:checkoutSteps checkoutSteps="${checkoutSteps}" progressBarId="${progressBarId}">
                <jsp:body>
                    <ycommerce:testId code="checkoutStepThree">
                        <div class="checkout-paymentmethod">
                            <div class="checkout-indent">
                                <div class="headline"><spring:theme code="checkout.multi.paymentMethod"/></div>
                                <c:if test="${not empty paymentModeData}">
                                    <form:form action="${request.contextPath}/checkout/multi/payment-method/select"
                                               method="post" commandName="selectPaymentMethodForm">
                                        <c:forEach var="paymentMode" items="${paymentModeData.paymentModes}">
                                            <c:choose>
                                                <c:when test="${fn:length(paymentMode.brands) eq 1}">
                                                    <c:forEach var="brand" items="${paymentMode.brands}">
                                                        <input type="radio" name="paymentMode"
                                                               value="${brand.code}">
                                                        <c:out value="${brand.displayName}"/>
                                                        </input>
                                                        <br/>
                                                    </c:forEach>
                                                </c:when>
                                                <c:otherwise>
                                                    <input type="radio" name="paymentMode" value="multipleBrands">
                                                    <c:out value="${paymentMode.code}"/>
                                                    </input>
                                                    <br/>
                                                    <select name="selectedBrand">
                                                        <c:forEach var="brand" items="${paymentMode.brands}">
                                                            <option value="${brand.code}">
                                                                <c:out value="${brand.displayName}"/>
                                                            </option>
                                                        </c:forEach>
                                                    </select>
                                                    <br/>
                                                </c:otherwise>
                                            </c:choose>
                                        </c:forEach>

                                        <form:input type="hidden" id="browserColorDepth" path ="browserColorDepth"  />
                                        <form:input type="hidden" id="browserJavaEnabled" path ="browserJavaEnabled"/>
                                        <form:input type="hidden" id="browserLanguage" path ="browserLanguage"/>
                                        <form:input type="hidden" id="browserScreenHeight" path ="browserScreenHeight"/>
                                        <form:input type="hidden" id="browserScreenWidth" path ="browserScreenWidth"/>
                                        <form:input type="hidden" id="browserTimeZone" path ="browserTimeZone"/>

                                        <button id="selectPaymentMethodFormSubmit" class="btn btn-primary btn-block checkout-next" type="submit">Next
                                        </button>
                                    </form:form>
                                </c:if>
                            </div>
                        </div>
                    </ycommerce:testId>
                </jsp:body>
            </multiCheckout:checkoutSteps>
        </div>

        <div class="col-sm-6 hidden-xs">
            <multiCheckout-psp:checkoutOrderDetails cartData="${cartData}" showDeliveryAddress="true"
                                                    showPaymentInfo="false" showTaxEstimate="false" showTax="true"/>
        </div>

        <div class="col-sm-12 col-lg-12">
            <cms:pageSlot position="SideContent" var="feature" element="div" class="checkout-help">
                <cms:component component="${feature}"/>
            </cms:pageSlot>
        </div>
    </div>

</template:page>
