ACC.billingaddress = {

    spinner: $("<img src='" + ACC.config.commonResourcePath + "/images/spinner.gif' />"),

    bindUseDeliveryAddressCheckbox: function () {
        $('#useDeliveryAddress').on('change', function () {
            if ($('#useDeliveryAddress').is(":checked")) {
                ACC.billingaddress.enableBillingAddressForm();
                $('#billingAddressForm').html('');
                ACC.billingaddress.disableBillingAddressForm();
            } else {
                ACC.billingaddress.clearBillingAddressForm();
                ACC.billingaddress.enableBillingAddressForm();
            }
        });
    },

    bindBillingAddressForm: function () {
        $('#billingCountrySelector :input').on("change", function () {
            var countrySelection = $(this).val();
            var options = {
                'countryIsoCode': countrySelection,
                'useDeliveryAddress': false
            };

            ACC.billingaddress.displayBillingAddressForm(options);
        })
    },

    enableBillingAddressForm: function () {
        $('input[id^="billingAddress\\."]').prop('disabled', false);
        $('select[id^="billingAddress\\."]').prop('disabled', false);
    },

    disableBillingAddressForm: function () {
        $('input[id^="billingAddress\\."]').prop('disabled', true);
        $('select[id^="billingAddress\\."]').prop('disabled', true);
    },

    clearBillingAddressForm: function () {
        $('input[id^="billingAddress\\."]').val("");
        $('select[id^="billingAddress\\."]').val("");
    },

    useDeliveryAddressSelected: function () {
        if ($('#useDeliveryAddress').is(":checked")) {
            $('#billingAddress\\.country').val($('#useDeliveryAddressData').data('countryisocode'));
            ACC.billingaddress.disableBillingAddressForm();
        } else {
            ACC.billingaddress.clearBillingAddressForm();
            ACC.billingaddress.enableBillingAddressForm();
        }
    },

    displayBillingAddressForm: function (options, callback) {
        $.ajax({
            url: ACC.config.encodedContextPath + '/checkout/multi/sop/billingaddressform',
            async: true,
            data: options,
            dataType: "html",
            beforeSend: function () {
                $('#billingAddressForm').html(ACC.billingaddress.spinner);
            }
        }).done(function (data) {
            $("#billingAddressForm").html(data);
            if (typeof callback == 'function') {
                callback.call();
            }
        });
    }
}

$(document).ready(function () {

    with(ACC.billingaddress) {
        bindUseDeliveryAddressCheckbox()
        bindBillingAddressForm()
    }

    if (!$('#useDeliveryAddress').is(":checked")) {
        $("#useDeliveryAddress").click();
    }
});
